<%
Function ZeroPad(byval str, byval iSize)
	if Len(str) > iSize Then
		ZeroPad = str
	Else
		ZeroPad = String((iSize - Len(str)), "0") & Trim(str)
	End If		
End Function

Function PopulateMonth(ByVal CurrentDate)
	Dim Output
	Dim MonthIndex
	Dim CurrentMonth
	CurrentMonth = Month(CurrentDate)
	For MonthIndex = 1 to 12
		If CurrentMonth = MonthIndex Then
			Output = Output & "<OPTION SELECTED VALUE='" & MonthIndex & "'>" & MonthName(MonthIndex) & "</>"		
		Else
			Output = Output & "<OPTION VALUE='" & MonthIndex & "'>" & MonthName(MonthIndex) & "</>"				
		End If
	next
	PopulateMonth = Output
End Function

Function PopulateDay(ByVal CurrentDate)
	Dim Output
	Dim DayIndex
	Dim CurrentDay
	Dim TotalDays
	TotalDays = 31
	CurrentDay = Day(CurrentDate)
	For DayIndex = 0 to TotalDays
		If CurrentDay = DayIndex Then
			Output = Output & "<OPTION SELECTED VALUE='" & DayIndex & "'>" & DayIndex & "</>"
		Else
			Output = Output & "<OPTION VALUE='" & DayIndex & "'>" & DayIndex & "</>"		
		End If
	Next
	PopulateDay = Output
End Function

Function PopulateYear(ByVal CurrentDate)
	Dim Output
	dim YearIndex
	Dim CurrentYear
	CurrentYear = Year(CurrentDate)
	For YearIndex = 2003 to 2030
		if YearIndex = CurrentYear Then
			Output = Output & "<OPTION SELECTED VALUE='" & YearIndex & "'>" & YearIndex & "</>"
		Else
			Output = Output & "<OPTION VALUE='" & YearIndex & "'>" & YearIndex & "</>"					
		End If
	Next
	PopulateYear = Output
End Function
Function PopulateTimeList(ByVal CurrentDate)
	Dim Output
	Dim NumIntervals
	Dim IntervalIndex
	Dim EntryTime
	Dim TimeUnitSize
	Dim EndInterval
	Dim TimeSet
	NumIntervals = 24
	TimeUnitSize = 30
	'
	' We need to work out which interval has the current time in it
	'
	TimeSet = False
	StartTime = CDate("00:00 " & Day(CurrentDate) & " " & MonthName(Month(CurrentDate)) & " " & Year(CurrentDate))
	NumMinutes = DateDiff("n",CDate("00:00"),CDate("23:59"))
	EndInterval = (CLng((NumMinutes/TimeUnitSize))-1)
	For IntervalIndex= 0 to EndInterval
		EntryTime=DateAdd("n",IntervalIndex * TimeUnitSize,StartTime)
		If (TimeSet = False) And (DateAdd("n",(IntervalIndex+1) * TimeUnitSize,StartTime) > CurrentDate)  Then
			TimeSet = True
			Output = Output & "<OPTION SELECTED VALUE='" & ZeroPad(Hour(EntryTime),2) & ":" & ZeroPad(Minute(EntryTime),2) & "'>" & ZeroPad(Hour(EntryTime),2) & ":" & ZeroPad(Minute(EntryTime),2) & "</>"
		Else
			Output = Output & "<OPTION VALUE='" & ZeroPad(Hour(EntryTime),2) & ":" & ZeroPad(Minute(EntryTime),2) & "'>" & ZeroPad(Hour(EntryTime),2) & ":" & ZeroPad(Minute(EntryTime),2) & "</>"		
		End If		
	Next
	PopulateTimeList = Output
End Function

Function DayOfWeek(DayNum)
	Select Case DayNum
		Case 1: DayOfWeek = "Sunday"
		Case 2: DayOfWeek = "Monday"
		Case 3: DayOfWeek = "Tuesday"
		Case 4: DayOfWeek = "Wednesday"
		Case 5: DayOfWeek = "Thursday"
		Case 6: DayOfWeek = "Friday"
		Case 7: DayOfWeek = "Saturday"
	End Select
End Function

Function GetSubString(SourceString, StartString, EndString)

    Dim StartDelim
    Dim EndDelim
    On Error Resume Next   
    StartDelim = InStr(1, SourceString, StartString)
    EndDelim = InStr(StartDelim + Len(StartString), SourceString, EndString)
    
    If StartDelim > 0 And EndDelim > 0 Then
		GetSubString = Mid(SourceString, StartDelim + Len(StartString), (EndDelim - (StartDelim + Len(StartString))))
    Else
        GetSubString = ""
    End If    
End Function

Function ReplaceHeaderValue(ByVal HeaderBlock,ByVal HeaderTag, ByVal HeaderValue)
	Dim CurrentHeaderValue
	If Len(HeaderBlock) > 0 Then
		If Right(HeaderBlock,2) <> Chr(13) & Chr(10) Then
			HeaderBlock = HeaderBlock & Chr(13) & Chr(10)
		End If
	
		CurrentHeaderValue = GetSubString(HeaderBlock, HeaderTag & ": ", Chr(13)  & Chr(10))
	
		If InStr(1,HeaderBlock, HeaderTag & ": ") <= 0 Then
			' Add It
			ReplaceHeaderValue =  HeaderBlock & HeaderTag & ": " & CurrentHeaderValue & Chr(13) & Chr(10)
		Else
			ReplaceHeaderValue = Replace(HeaderBlock, HeaderTag & ": " & CurrentHeaderValue & Chr(13) & Chr(10), HeaderTag & ": " & HeaderValue & Chr(13)  & Chr(10))
		End If
	Else
		ReplaceHeaderValue =  HeaderTag & ": " & CurrentHeaderValue & Chr(13) & Chr(10)
	End If
End Function
%>
